Overview | Package | Class | Tree | Deprecated | Index | Help
| Oracle TopLink API Reference 10g Release 3 (10.1.3) B13698-01
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## oracle.toplink.mappings.transformers
Class FieldTransformerAdapter

`java.lang.Object
oracle.toplink.mappings.transformers.FieldTransformerAdapter`

All Implemented Interfaces:
  FieldTransformer, java.io.Serializable

Direct Known Subclasses:
  ConstantTransformer

public class FieldTransformerAdapter
extends java.lang.Object
implements FieldTransformer

Purpose: Provides an empty implementation of FieldTransformer. Users who do not require the full FieldTransformer API can subclass this class and implement only the methods required.

Since:
  10
See Also:
  `oracle.toplink.mappings.FieldTransformer`, Serialized Form

Constructor Summary
`FieldTransformerAdapter()`

Method Summary
`java.lang.Object` | `buildFieldValue(java.lang.Object object, java.lang.String fieldName, Session session)`
`void` | `initialize(AbstractTransformationMapping mapping)` Initialize this transformer.

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### FieldTransformerAdapter

    public FieldTransformerAdapter()

Method Detail

### initialize

    public void initialize(AbstractTransformationMapping mapping)

  Description copied from interface: `FieldTransformer`
  Initialize this transformer. Only required if the user needs some special information from the mapping in order to do the transformation
  Specified by:
    `initialize` in interface `FieldTransformer`
  Parameters:
    `mapping` - - the mapping this transformer is associated with.

### buildFieldValue

    public java.lang.Object buildFieldValue(java.lang.Object object,
                                            java.lang.String fieldName,
                                            Session session)

  Specified by:
    `buildFieldValue` in interface `FieldTransformer`
  Parameters:
    `object` - - an instance of the domain class which contains the attribute
    `session` - - the current session
    `fieldName` - - the name of the field being transformed. Used if the user wants to use this transformer for multiple fields.
  Returns:
    - The value to be written for the field associated with this transformer

Overview | Package | Class | Tree | Deprecated | Index | Help
| Copyright © 1998, 2006, Oracle. All Rights Reserved.
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD